Apache JServ errors...HELP!

Apache JServ errors...HELP!

Post by Lee Lesbur » Mon, 20 Dec 1999 04:00:00



Hi all.

I've run Apache JServ 1.1 successfully under NT, but now that I'm moving
to Solaris 2.6, I'm having nothing but troubles. I'd appreciate it if
someone could help out. (I have a critical project counting on this
installation, and I don't want to go to another web server at this stage
of the game.)

When I try to run the example servlets that come with the JServ
distribution, I get the following bizarre behavior:

- Error message in browser (Netscape 4.7): "Your browser sent a request
that this server could not understand.".

- Error message in mod_jserv.log: "(ERROR) ajp11: Servlet Error:
Malformed data sent to JServ"

- Error message in jserv.log: "AJP Protocol Error: java.io.Exception:
Stream broken"

Other information:

- I'm running JVM version 1.1.3 (output of java -version).

- During the JServ installation, I had to correct three compiler errors
in the JServ source code. Just simple things like void functions
returning non-void values and casts as lvalues. (Anyone else have to do
that?)

- The log file mod_jserv.log shows that the wrapper CLASSPATH includes
both ApacheJServ.jar and jskd.jar. Seems like that should be enough.

- The log file mod_jserv.log also shows that the JVM was spawned:
"wrapper: Java VM spawned (PID=679, PPID=673)".

- I'm loading JServ as a shared object, and my Apache installation is
1.3.9, obtained as a precompiled binary from the Apache web site.

Any feedback would be appreciated.

Thanks.
L.
--
Lee Lesburg
PTC Open Systems Services
781-398-5384

 
 
 

Apache JServ errors...HELP!

Post by Lee Lesbur » Mon, 20 Dec 1999 04:00:00


Hi again.

For those who are interested, the solution to my problem was the setting of
ApJServDefaultProtocol in jserv.conf. It needs to be set to ajpv12, and not
ajpv11. Unfortunately, the jserv.conf file comes with the incorrect value
preset, even in the 1.1 version.

I found the solution by reading the Upgrade notes at

http://java.apache.org/jserv/upgrade.html

Lee


> Hi all.

> I've run Apache JServ 1.1 successfully under NT, but now that I'm moving
> to Solaris 2.6, I'm having nothing but troubles. I'd appreciate it if
> someone could help out. (I have a critical project counting on this
> installation, and I don't want to go to another web server at this stage
> of the game.)

> When I try to run the example servlets that come with the JServ
> distribution, I get the following bizarre behavior:

> - Error message in browser (Netscape 4.7): "Your browser sent a request
> that this server could not understand.".

> - Error message in mod_jserv.log: "(ERROR) ajp11: Servlet Error:
> Malformed data sent to JServ"

> - Error message in jserv.log: "AJP Protocol Error: java.io.Exception:
> Stream broken"

> Other information:

> - I'm running JVM version 1.1.3 (output of java -version).

> - During the JServ installation, I had to correct three compiler errors
> in the JServ source code. Just simple things like void functions
> returning non-void values and casts as lvalues. (Anyone else have to do
> that?)

> - The log file mod_jserv.log shows that the wrapper CLASSPATH includes
> both ApacheJServ.jar and jskd.jar. Seems like that should be enough.

> - The log file mod_jserv.log also shows that the JVM was spawned:
> "wrapper: Java VM spawned (PID=679, PPID=673)".

> - I'm loading JServ as a shared object, and my Apache installation is
> 1.3.9, obtained as a precompiled binary from the Apache web site.

> Any feedback would be appreciated.

> Thanks.
> L.
> --
> Lee Lesburg
> PTC Open Systems Services
> 781-398-5384


--
Lee Lesburg
PTC Open Systems Services
781-398-5384


 
 
 

Apache JServ errors...HELP!

Post by fr08057 » Fri, 18 Feb 2000 04:00:00


Lee Lesburg ?g1D?G

> Hi all.

> I've run Apache JServ 1.1 successfully under NT, but now that I'm moving
> to Solaris 2.6, I'm having nothing but troubles. I'd appreciate it if
> someone could help out. (I have a critical project counting on this
> installation, and I don't want to go to another web server at this stage
> of the game.)

> When I try to run the example servlets that come with the JServ
> distribution, I get the following bizarre behavior:

> - Error message in browser (Netscape 4.7): "Your browser sent a request
> that this server could not understand.".

> - Error message in mod_jserv.log: "(ERROR) ajp11: Servlet Error:
> Malformed data sent to JServ"

> - Error message in jserv.log: "AJP Protocol Error: java.io.Exception:
> Stream broken"

> Other information:

> - I'm running JVM version 1.1.3 (output of java -version).

> - During the JServ installation, I had to correct three compiler errors
> in the JServ source code. Just simple things like void functions
> returning non-void values and casts as lvalues. (Anyone else have to do
> that?)

> - The log file mod_jserv.log shows that the wrapper CLASSPATH includes
> both ApacheJServ.jar and jskd.jar. Seems like that should be enough.

> - The log file mod_jserv.log also shows that the JVM was spawned:
> "wrapper: Java VM spawned (PID=679, PPID=673)".

> - I'm loading JServ as a shared object, and my Apache installation is
> 1.3.9, obtained as a precompiled binary from the Apache web site.

> Any feedback would be appreciated.

> Thanks.
> L.
> --
> Lee Lesburg
> PTC Open Systems Services
> 781-398-5384


Sorry!
        It's a test !~!
 
 
 

1. Help needed JSERV Installation / error compiling apache

Hi out there!

Tried to install Jserv 1.1, on a linux 2.0.33
Kernel.

Software: Apache 1.3.3
JDK 1.1.7 V1a
Jsdk 20
libc5

Installation of JDK went well, jsdk also.
compilation of Jserv went well, but upon
compilation of the apache 1.3.3 i got the
errormessage:

modules/jserv/libjserv.a(jserv_ajpv12.o): In
function
`ajpv12_handler':/install/ApacheJServ-1.1/src/c/js
erv_ajpv12.c:510: undefined reference to
`ap_escape_uri'make[2]: *** [target_static] Error
1
make[2]: Leaving directory
`/usr/local/apache/src'make[1]: *** [build-std]
Error 2
make[1]: Leaving directory
`/usr/local/apache'make: *** [build] Error 2

here im just hanging. Thanks for helping,

Berthold

Sent via Deja.com http://www.deja.com/
Before you buy.

2. Looking for compiled versions of 'force' by Brendan Kehoe

3. Apache JServ Installation error messages

4. /var/adm/messages

5. Apache 1.3.3 w/ JServ: Servlet-Error.

6. seyon autoZmodem says: parse error in ``$cd /usr/bin; rz -vv''.

7. Linux RedHat5.3, Apache 1.3.6 dbm_fetch & jserv error

8. How can i use javascript?

9. Solaris, Apache, JServ - JVM Error

10. Apache Jserv error

11. Apache Jserv install problem - syntax error for ApJServManual.

12. directing stdout to apache / jserv error log